@(hostAndPort: String)(implicit i18nMessages: Messages)
<div class="panel panel-info">
    <div class="panel-heading">
        <div class="row">
            <div class="col-sm-4">
                <label>{{'CB_BADGE_TOTAL' | translate}}</label>
                <count-badge value="callbacksCount"></count-badge>
            </div>
            <div class="col-sm-4 text-center">
                <label>{{'CB_BADGE_LIST' | translate}}</label>
                <count-badge value="callbackLists.length"></count-badge>
            </div>
            <div class="col-sm-4 text-right">
                <span ng-show="callbacksCount">
                    <label>{{'CB_OLDEST' | translate}}:</label>
                    <a href="" ng-click="gotoAnchor(oldestCallback.listUuid)">
                       {{oldestCallback.dueDate}} ({{oldestCallback.phoneNumber}})
                        <i class="fa fa-link" aria-hidden="true"></i>
                    </a>
                </span>
            </div>
        </div>
    </div>
</div>
<div ng-repeat="list in callbackLists">
    <div class="panel panel-default">
        <div class="panel-heading"><span class="cc-list-name">{{list.name}} - {{list.queue.displayName}}</span>
            <count-badge value="list.callbacks.length"></count-badge>
            <div class="pull-right list-upload">
                <label class="btn">
                    <input type="file" id="import-{{list.uuid}}">
                </label>
                <button type="button" class="btn btn-success" ng-click="uploadCallBack(list.uuid)">@i18nMessages("ccmanager.callback.send")</button>
                <a ng-click="exportCallBack(list.uuid)"  target="_blank">
                    <button type="button" class="btn btn-success">@i18nMessages("ccmanager.callback.downloadTickets")</button>
                </a>
            </div>
        </div>
        <div class="panel-body">
            <callback-list-view list-uuid="list.uuid"></callback-list-view>
        </div>
    </div>
</div>